Subject: [PATCH v3 0/5] ARM64: Add kernel probes(Kprobes) support

From: [email-masked] (David Long)
Date: Wed, 03 Dec 2014 19:02:57 -0500

On 12/03/14 17:54, David Long wrote:
> On 12/03/14 09:54, William Cohen wrote:
>> On 12/01/2014 04:37 AM, Masami Hiramatsu wrote:
>>> (2014/11/29 1:01), Steve Capper wrote:

[...]

>>>> That would explain why the state of play of the interrupts is in an
>>>> unexpected state in the crash I reported:
>>>> "The point of failure in the panic was:
>>>> fs/buffer.c:1257
>>>>
>>>> static inline void check_irqs_on(void)
>>>> {
>>>> #ifdef irqs_disabled
>>>>          BUG_ON(irqs_disabled());
>>>> #endif
>>>> }
>>>> "
>>>>
>>>> This is all new to me so I'm still at the head-scratching stage.
>>>
>>> Ah, I see.
>>>
>>> Thank you,
>>>
>>>>
>>>> David,
>>>> Does the above make sense to you? Have you managed to reproduce the
>>>> crash I get?
>>>>
>>>> Cheers,
>>>> --
>>>> Steve
>
> I have easily produced a crash although it doesn't look to me like the
> same one.  I'm getting a NULL pointer dereference.  The PMU stuff (used
> by perf record|stat -e) should be quite independent of kprobes though.
>
> -dl
>

Oops, never mind the above bit.  I see this is not PMU-related, but use 
of kprobes through perf.  My bad.

-dl